<?php
namespace TecDiet\Services;

use Doctrine\ORM\EntityManager;

class MapKitchenMaidService implements Queries {

    protected $entityManager;
    protected $connection;

    public function __construct(EntityManager $entityManager) {

        $this->entityManager = $entityManager;
        $this->connection = $entityManager->getConnection();

    }

    public function delivery($foods) {

        foreach ($foods as $food) {

            $delivery = $this->connection->prepare(self::UPDATE_SERVINTE_DELIVER);

            $delivery->execute(
                array( 
                    'CDPACIENTE' => $food['id'],
                    'CDRESPENTREGA' => $food['deliveryOperator'],
                    'DTHRENTREGA' => $food['deliveryDate'],
                    'NRSEQUSERV' => $food['sequential'],
                    'DTSERVINTE' => $food['serviceDate'],
                    'CDFILIAL' => $food['unit'],
                )
            );

        }

    }
    
    public function collect($foods) {

        foreach ($foods as $food) {

            $collect = $this->connection->prepare(self::UPDATE_SERVINTE_COLLECT);

            $collect->execute(
                array( 
                    'CDPACIENTE' => $food['id'],
                    'CDRESPRECOLHE' => $food['collectOperator'],
                    'DTHRRECOLHE' => $food['collectDate'],
                    'NRSEQUSERV' => $food['sequential'],
                    'DTSERVINTE' => $food['serviceDate'],
                    'CDFILIAL' => $food['unit'],
                )
            );

        }

    }
}