Configuration(function(RepositoryFactory, ContextRegister, Query) {
    var AppointmentRepository = RepositoryFactory.factory('/Appointments', 'LOCAL');

    AppointmentRepository.getAppointmentByIdAndDate = function(id, date) {
        return this.findOne(Query.build()
            .where('id').equals(id)
            .where('date').equals(date)
        );
    };

    ContextRegister.register('AppointmentRepository', AppointmentRepository);

});
